inp = open('division.in', 'r')
out = open('division.out', 'w')

n = int(inp.readline())
a = n // 3
b = 0
c = 0
    
while a > 0:
    b = (n - a) // 2 - (n - a + 1) % 2
    c = n - a - b
    if (a < b) and (b < c):
        break
    a -= 1
out.write(' '.join(str(element) for element in [a, b, c]) + '\n') 